<?php
	session_start();
	if($_SESSION['rid'])
	{
		$userid=$_SESSION['rid'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid=$userid order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
		
?>
<html>
<title>LLP Recharge</title>
<head>
<style>
body{background:url('bg.jpg'); background-size:cover;
width:100%; height:700px; margin:0px;}

.head{background:; width:1350px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420; font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040; font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420; margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}
	
.menu{background:#996420; height:40px; width:1300px; margin:0 0 0 20px; padding:0;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #bal:hover{background:#996420; cursor:text;}
 #inptbl1{display:none;} 
 #inptbl2{display:none;} 
 .content{ width:1350px; margin:0; padding:0;}
 .content h3{padding-left:10px;}
 #tb2{margin:10 0 0 200px; font-size:17px;}
 #m1{float:right; margin-right:20px;}
 .content input{margin:0 30 0 0px; width:}
 #inp{width:250px; height:40px; font-size:22px; border:2px solid skyblue; border-radius:8px;}
 #inp1{width:350px; height:140px; font-size:22px; border:2px solid skyblue;}
 #pmsg{margin:10 0 0 200px; float:left; font-size:20px;}
 #rdo1{font-size:20px; margin:10 10 0 40px; width:20px; height:20px; }
 #rdo2{font-size:20px; margin:10 0 0 40px; width:20px; height:20px;}
 #btn{width:100px; height:30px; margin-left:40px; font-size:18px;}
 .listhead{width:1350px; height:40px; background:#996420; margin:0 0 0 20px;}
 .listhead h3{margin-left:10px; line-height:40px; color:white;}
 .listview{width:1350px; margin:0 20 0 20px;}
#Inputdate{margin:20 0 10 1000px; border-radius:5px; font-size:18px;}
#inp2{width:170px; height:35px; padding:5px; font-size:18px;}
#t1{ width:1350px; text-align:center; border-collapse:collapse; border-color:black; font-size:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }

#blue{color:blue; font-size:18px;}
#green{color:#63E65B; font-size:18px;}
#red{color:red; font-size:18px;}
.foot{margin:50px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
	</div>
	<div class="menu">
		<ul>
			<li><a href="recharge_home.php" id="a1">Home</a></li>
			<li>Reports
				<ul>
					<li><a href="recharge_history.php">Recharge History</a></li>
					<li><a href="account_reports.php">Account Reports</a></li>
					<li><a href="check_status.php">Check Status</a></li>
				</ul>
			</li>
			<li>Documents
				<ul>
					<li><a href="my_commission.php">My Commission</a></li>
					<li><a href="commision.php">Get Commission</a></li>
					<li><a href="complain.php">Complain</a></li>
				</ul>
			</li>
			<li>Profile
				<ul>
					<li><a href="change_profile.php">Change Profile</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Payment Request
				<ul>
					<li><a href="payment_request.php">Update Payment</a></li>
					<li><a href="bank_list.php">Bank List</a></li>
				</ul>
			</li>
			<li id="bal">Balance : <?php echo $currentbal; ?></li>
		</ul>
	</div>
	<div class="content">
		<h3>Add Complain</h3><hr>
		<?php
		 include 'connection.php';
		date_default_timezone_set("asia/kolkata");
		$date=date("Y-m-d");
		$time=date("h:i:s A");
		if(isset($_POST['submit']) && $userid!==0 && !empty($userid))
		{
			$rechid=$_POST['rechid'];
			$textarea=$_POST['textarea'];
			
			$quRecharge1="select * from recharge order by Id desc";
			$reRecharge1=mysqli_query($con,$quRecharge1);
			$dataRechargeId1=mysqli_fetch_array($reRecharge1);
			$lastRechId=$dataRechargeId1['Id'];
			
			$quRecharge="select * from recharge where Id='$rechid'";
			$reRecharge=mysqli_query($con,$quRecharge);
			$dataRechargeId=mysqli_fetch_array($reRecharge);
			$foundRech=mysqli_num_rows($reRecharge);
			$rechargeStatus=$dataRechargeId['Status'];
			
			
			$quGetPending="select * from complain where Rechargeid='$rechid' AND Userid='$userid'";
			$reGetPending=mysqli_query($con,$quGetPending);
			$dataGetpending=mysqli_num_rows($reGetPending);
			
			if($lastRechId<$rechid)
			{
			    echo "<h1 align='center'><font color='#ff0000'> &#x2716; Invalid Recharge Id !</font></h1><br>";
			}
			elseif($rechargeStatus=="FAILED")
			{
			    echo "<h1 align='center'><font color='#ff0000'> &#x2716; Transaction Is Failed And Your Payment Has Been Refunded !</font></h1><br>";
			}
			elseif($rechargeStatus=="PENDING")
			{
			    echo "<h1 align='center'><font color='#ff0000'> &#x2716; Transaction Is PENDING Please Wait For Response !</font></h1><br>";
			}
			elseif($dataGetpending>=1)
			{
			    echo "<h1 align='center'><font color='#ff0000'> &#x2716; Duplicate Complain Not Allowed !</font></h1><br>";
			}
			else
			{
				$insertq="insert into complain(Userid,Rechargeid,Messege,Compdate,CompTime)values('$userid','$rechid','$textarea','$date','$time')";
				if(mysqli_query($con,$insertq))
				{
					echo "<h1 align='center'><font color='#008000'> &#x2714; Your Complain Has Been Submit Successfully !</font></h1><br>";
				}
				else
				{
					echo "error";
				}
			}
		}
		else
		{   
	       echo "<center><h2>We will get more than 24 hours to respond To You. Thanks !<h2></center>";
		}
		
		?>
		<script>
		    function showRech()
		    {
		        var d1 = document.getElementById("inptbl1");
		        var d2 = document.getElementById("inptbl2");
		        d1.style.display=("block");
		        d2.style.display=("none");
		    }
		    
		</script>
	<p id="pmsg">Choose AnyOne:</p>	<input type="radio" name="comp" onchange="showRech()" id="rdo1">Recharge
		<div id="inptbl1">
		<form method="post">
			<table border="0" cellpadding="5" id="tb2">
				<tr>
					<td id="m1">Recharge Id :</td>
					<td><input type="number" name="rechid" id="inp"required placeholder="Enter Rechareg Id.."></td>
				</tr>
				<tr>
					<td id="m1">Massege :</td>
					<td><textarea rows="5" cols="40" name="textarea" id="inp1" placeholder="What Do You Want About This Rechage? Refund Or Success.." required></textarea></td>
				</tr>
				<tr>
					<td></td>
					<td>
					<input type="submit" name="cancel" value="Cancel" id="btn">
					<input type="submit" name="submit" value="Submit" id="btn">
					
					</td>
				</tr>
			</table>
		</form>
		</div>
	</div>
	<div id="Inputdate">
	    <form method="post">
	        <input type="date" value="<?php echo $date; ?>" name="date" id="inp2">
	        <input type="submit" name="submit2" id="inp2">
	    </form>
	</div>
	<div class="listhead">
		<h3>View Complain</h3>
	</div>
	<div class="listview">
	<?php

		echo "<table border='1' cellpadding='5' id='t1'>";
			echo "<tr>";
				echo "<th>Sl.No.</th>";
				echo "<th>Complain Id</th>";
				echo "<th>Complain Date</th>";
				echo "<th>Complain Time</th>";
				echo "<th>Recharge Id</th>";
				echo "<th>Recharge Status</th>";
				echo "<th>Messege</th>";
				echo "<th>Response Date</th>";
				echo "<th>Response Time</th>";
				echo "<th>Response Messege</th>";
				echo "<th>Status</th>";
			echo "</tr>";
		if(isset($_POST['submit2']))
		{
		    $date=$_POST['date'];
		    $viewq="select * from complain where Userid='$userid' and Compdate='$date' order by Id desc";
		    $viewr=mysqli_query($con,$viewq);
		    
		    $sl=0;
	    	while($row=mysqli_fetch_array($viewr))
	    	{
		        $RechId=$row['Rechargeid'];
		        $quRechStatus="select Status from recharge where Id='$RechId'";
    		    $reRechStatus=mysqli_query($con,$quRechStatus);
	    	    $dataRechStatus=mysqli_fetch_array($reRechStatus);
		        $RechStatus=$dataRechStatus['Status'];
		    
			    if($row['Status']=="Pending")
			    {
				    $color="blue";
	    		}
		    	elseif($row['Status']=="Solved")
			    {
				    $color="green";
    			}
	    		else
		    	{
			    	$color="red";
			    }
			    $sl=$sl+1;
			    echo "<tr>";
				    echo "<td>".$sl."</td>";
				    echo "<td>".$row['Id']."</td>";
    				echo "<td>".$row['Compdate']."</td>";
	    			echo "<td>".$row['CompTime']."</td>";
		    		echo "<td>".$row['Rechargeid']."</td>";
			    	echo "<td>".$RechStatus."</td>";
				    echo "<td>".$row['Messege']."</td>";
    				echo "<td>".$row['Solvedate']."</td>";
	    			echo "<td>".$row['SolveTime']."</td>";
		    		echo "<td>".$row['Responsemsg']."</td>";
			    	echo "<td id='".$color."'>".$row['Status']."</td>";
			    echo "</tr>";
		    }
		    
		}
		else
		{
    		$viewq="select * from complain where Userid='$userid' order by Id desc limit 10";
	    	$viewr=mysqli_query($con,$viewq);
	    	$sl=0;
		    while($row=mysqli_fetch_array($viewr))
		    {
		        $RechId=$row['Rechargeid'];
		        $quRechStatus="select Status from recharge where Id='$RechId'";
		        $reRechStatus=mysqli_query($con,$quRechStatus);
		        $dataRechStatus=mysqli_fetch_array($reRechStatus);
    		    $RechStatus=$dataRechStatus['Status'];
	    	    
	    		if($row['Status']=="Pending")
		    	{
			    	$color="blue";
			    }
			    elseif($row['Status']=="Solved")
			    {
			    	$color="green";
			    }
			    else
			    {
				    $color="red";
			    }
			    
			    $sl=$sl+1;
			    echo "<tr>";
		    		echo "<td>".$sl."</td>";
		    		echo "<td>".$row['Id']."</td>";
			    	echo "<td>".$row['Compdate']."</td>";
				    echo "<td>".$row['CompTime']."</td>";
	    			echo "<td>".$row['Rechargeid']."</td>";
		    		echo "<td>".$RechStatus."</td>";
			    	echo "<td>".$row['Messege']."</td>";
				    echo "<td>".$row['Solvedate']."</td>";
    				echo "<td>".$row['SolveTime']."</td>";
	    			echo "<td>".$row['Responsemsg']."</td>";
		    		echo "<td id='".$color."'>".$row['Status']."</td>";
			    echo "</tr>";
		    }
	   }
		echo "</table>";
		?>
	</div>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>